=== ioncore/Makefile ===
--- 
+++ 
@@ -24,8 +24,7 @@
         pholder.c mplexpholder.c llist.c basicpholder.c sizepolicy.c      \
         stacking.c group.c grouppholder.c group-cw.c navi.c		  \
         group-ws.c float-placement.c framedpholder.c                      \
-        return.c detach.c screen-notify.c frame-tabs-recalc.c profiling.c \
-        log.c
+        return.c detach.c screen-notify.c frame-tabs-recalc.c
 
 LUA_SOURCES=\
 	ioncore_ext.lua ioncore_luaext.lua ioncore_bindings.lua \
@@ -49,12 +48,6 @@
 
 ######################################
 
-# without -finstrument-functions
-profiling.o: profiling.c
-	$(CC) $(CFLAGS:-finstrument-functions=) -c profiling.c -o profiling.o
-
-ioncore.o: exports.h
-
 ioncore.a: $(OBJS)
 	$(AR) $(ARFLAGS) $@ $+
 	$(RANLIB) $@
