=== libtu/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 endif
 
 # System-specific configuration
-include $(TOPDIR)/build/system-inc.mk
+include $(TOPDIR)/system.mk
 
 ######################################
