=== debian/changelog ===
notion (3+2012042300-1) unstable; urgency=low

  * Import new upstream version
    - Updated EWMH support:
      - _NET_WM_ALLOWED_ACTIONS
      - _NET_VIRTUAL_ROOTS
      - _NET_SUPPORTING_WM_CHECK
    - Mark windows as 'activated' instead of raising them
    - Suppress gnome3's resize handles, as they don't work with Notion
    - Firefox fullscreen
    - Flash fullscreen
    - Various internal refactorings and cleanups
  * Updated standards version to 3.9.3 (no change required)
  * Move general fields (homepage, section, priority) to source package
  * Use '3.0 (quilt)' source versions, removes the need to call quilt 
  * Add descriptions for patches
  * Drop empty lintian/overrides directories
  * Fix unescaped hyphen in manpages
  * Remove outdated Flash fullscreen kludge
  * Add hardening options to build process
  * Use system printf functions instead of builtin 'portable' implementation
  * Bring debian/copyright further up-to-date

 -- Arnout Engelen <arnouten@bzzt.net>  Mon, 23 Apr 2012 19:18:20 +0200

notion (3+2011102900-1) unstable; urgency=low

  * Started packaging notion (based on existing Ion3 packaging, closes: #647048)

 -- Arnout Engelen <arnouten@bzzt.net>  Sun, 30 Oct 2011 19:30:28 +0100

ion3 (20080825-1) unstable; urgency=low

  * New upstream version
    - Fix loss of size policy in some cases - closes: #492906

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 30 Aug 2008 20:12:15 +0100

ion3 (20080707-3) unstable; urgency=low

  * Replaced 101_ignore-missing-keys.diff and 102_ignore-bad-match.diff
    with patches from upstream repository (ion-3plus)
  * Replaced dependency on xbase-clients with x11-utils, which now
    contains xmessage
  * Updated standards version to 3.8.0
    - Added debian/README.source documenting the use of quilt
    - Added a note to debian/copyright that this package is not part
      of the Debian system due to being non-free

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 24 Jul 2008 21:30:19 +0100

ion3 (20080707-2) unstable; urgency=low

  * Suppressed warnings for missing keys (101_ignore-missing-keys.diff)
    - closes: #488673
  * Added Swedish debconf translation - closes: #483419
  * Added workaround for Xorg bug in reporting deleted windows
    (102_ignore-bad-match.diff) - closes: #490601

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 23 Jul 2008 23:37:42 +0100

ion3 (20080707-1) unstable; urgency=low

  * New upstream version

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 11 Jul 2008 01:13:55 +0100

ion3 (20080411-1) unstable; urgency=low

  * New upstream version

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 12 Apr 2008 14:07:04 +0100

ion3 (20080207-2) unstable; urgency=low

  * Replaced debconf dependency with ${misc:Depends} - closes: #441938
  * Added Spanish and Finnish debconf translations - closes: #458574, #468830

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 26 Mar 2008 01:26:40 +0000

ion3 (20080207-1) unstable; urgency=low

  * New upstream version
    - First stable release of Ion3 - closes: #415287

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 07 Feb 2008 20:29:15 +0000

ion3 (20080103-1) unstable; urgency=low

  * New upstream version
  * Fixed upstream regression which lost dockapp class names
    (105_dockapp-class-from-hint-window.diff)
  * Disabled dockapp size kludge for Docker (213_unkludge-docker.diff)
  * Updated policy version to 3.7.3 (no other changes required)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 06 Jan 2008 20:54:41 +0000

ion3 (20071109-1) unstable; urgency=low

  * New upstream release
  * Moved ion3-doc into separate source package

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 10 Nov 2007 04:27:00 +0000

ion3 (20070927-1) unstable; urgency=low

  * New upstream release
  * Reenabled dh_strip since debugging information is disabled by default
  * Changed menu section to conform to new menu policy

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 27 Sep 2007 23:58:23 +0100

ion3 (20070902-1) unstable; urgency=low

  * New upstream release
  * Added upstream patch to fix implementation of "ml" and "mr" positions
    for the dock
  * Combined two Recommends lines in debian/control so that the uscan
    dependencies are not ignored

 -- Ben Hutchings <ben@decadent.org.uk>  Mon,  3 Sep 2007 01:23:49 +0100

ion3 (20070720-2) unstable; urgency=low

  * Cleaned up patches
  * Clarified use of /etc/default/ion3 in cfg_ioncore.lua
  * Removed FAQ as it is now split into many pages which would require
    substantial disk space if installed
  * Updated README.Debian, including some information previously omitted
    from the binary package by mistake
  * Moved uscan dependencies to Recommends and made the upstream version
    check tolerate failure of uscan - closes: #434550

 -- Ben Hutchings <ben@decadent.org.uk>  Tue,  7 Aug 2007 01:23:43 +0100

ion3 (20070720-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Sun,  5 Aug 2007 00:18:27 +0100

ion3 (20070708-1) unstable; urgency=low

  * New upstream release
  * Improved package descriptions and debconf templates as suggested
    by debian-l10n-english review and by Helge Kreutzmann
    - closes: #429444, #430695
  * Added debconf translations - closes: #426456, #430694, #430698,
    #430717, #430756, #430927, #431457, #431462, #432198
  * Expanded explanation of system tray configuration
  * Added modular configuration mechanism - closes: #413576, #418063
  * Added xbase-clients to dependencies since we need xmessage

 -- Ben Hutchings <ben@decadent.org.uk>  Mon,  9 Jul 2007 02:38:04 +0100

ion3 (20070608-1) unstable; urgency=medium

  * New upstream release - closes: #428118, #430370, #430815
  * Applied patch by Nedko Arnaudov to fix an upstream bug that would
    result in a crash when using single-byte character encodings

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 28 Jun 2007 01:00:01 +0100

ion3 (20070506-2) unstable; urgency=low

  * Applied upstream version check to upgrades as well as first

