=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export SHELL=/bin/bash

PACKAGE := $(shell dpkg-parsechangelog | sed -r 's/^Source: //; t; d')
PACKAGE_DEV := $(PACKAGE)-dev
INSTDIR := debian/$(PACKAGE)
INSTDIR_DEV := debian/$(PACKAGE_DEV)
DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -r 's/^Version: //; t; d')
UPSTREAM_VERSION := $(shell echo $(DEBIAN_VERSION) | sed -r 's/^[0-9]*://; s/-[^-]*$$//')

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir

	cd libextl && $(MAKE) libextl-mkexports

	touch build-indep-stamp

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir

	$(MAKE)

	touch build-arch-stamp

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build-indep-stamp build-arch-stamp

	$(MAKE) realclean

	dh_clean

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	dh_install -i

# install headers
	find . \( -name debian -o -name .pc -o -name config.h -o -name snprintf.h \) \
		-prune -o -name '*.h' -exec install -m644 -D {} \
		$(INSTDIR_DEV)/usr/include/$(PACKAGE)/{} \;

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a

	$(MAKE) install \
		PREFIX=$(CURDIR)/$(INSTDIR)/usr \
		ETCDIR=$(CURDIR)/$(INSTDIR)/etc/X11/notion

# install other things (mainly -dev)
	dh_install -a

binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot

# automatically keep track of api version
	dh_installchangelogs -i
	dh_installdocs -i

#	dh_installexamples -i
#	dh_install -i
#	dh_installmenu -i
#	dh_installdebconf -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installman -i
	dh_link -i
#	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	chmod 755 $(INSTDIR_DEV)/usr/lib/notion/libextl/libextl-mkexports
#	dh_perl -i
#	dh_python -i
#	dh_makeshlibs -i
	dh_installdeb -i
#	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot

# automatically keep track of api version
	echo Notion:ApiVersion=$$((cat version.h; echo ION_API_VERSION) \
		| cpp -P | tail -1 | sed 's/"//g') >>debian/$(PACKAGE).substvars

	dh_installchangelogs -a
	dh_installdocs -a
	rm -f $(INSTDIR)/usr/share/doc/$(PACKAGE)/LICENSE
#	mv $(INSTDIR)/usr/share/doc/$(PACKAGE)/ChangeLog $(INSTDIR)/usr/share/doc/$(PACKAGE)/changelog
#	dh_installexamples -a
#	dh_install -a
	dh_installmenu -a
	install -m644 debian/$(PACKAGE).menu-method.i18n \
		$(INSTDIR)/etc/menu-methods/$(PACKAGE)-i18n

	dh_installdebconf -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
#	dh_installcron -a
#	dh_installinfo -a
#	dh_undocumented -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a -X.lua
	dh_fixperms -a
#	dh_perl -a
#	dh_python -a
#	dh_makeshlibs -a
	dh_installdeb -a
	sed -i 's/^DEBIAN_VERSION=/&$(DEBIAN_VERSION)/; s/^UPSTREAM_VERSION=/&$(UPSTREAM_VERSION)/' \
		$(INSTDIR)/DEBIAN/postinst
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

get-orig-source:
	uscan --force-download

.PHONY: build-indep build-arch build clean binary-indep binary-arch binary \
	install-indep install-arch get-orig-source
