=== debian/watch ===
version=3
opts="uversionmangle=s/-/+/" \
  http://sf.net/notion/notion-(3-.+)-src\.tar\.gz
