=== de/Makefile ===
--- 
+++ 
@@ -23,6 +23,4 @@
 
 ######################################
 
-init.o: exports.h
-
 _install: module_install
