=== mod_statusbar/Makefile ===
--- 
+++ 
@@ -24,6 +24,5 @@
 
 ######################################
 
-main.o: exports.h
+_install: module_install 
 
-_install: module_install
