=== mod_xinerama/Makefile ===
--- 
+++ 
@@ -9,14 +9,14 @@
 
 ######################################
 
-INCLUDES += $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES) $(X11_INCLUDES) -I$(TOPDIR) $(shell $(PKG_CONFIG) --cflags-only-I xinerama)
-CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE) $(shell $(PKG_CONFIG) --cflags-only-other xinerama)
+INCLUDES += $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES) $(X11_INCLUDES) -I$(TOPDIR)
+CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE)
 DOCS=LICENSE README
 
 SOURCES=mod_xinerama.c
 
 MAKE_EXPORTS=mod_xinerama
-LIBS = $(X11_LIBS) $(shell $(PKG_CONFIG) --libs xinerama)
+LIBS = -L/usr/lib/x86_64-linux-gnu $(X11_LIBS) -lXinerama
 MODULE=mod_xinerama
 MODULE_STUB=mod_xinerama.lua
 
@@ -44,7 +44,7 @@
 
 .PHONY: test
 test: $(SOURCES)
-	$(LUA) test_xinerama.lua
+	lua test_xinerama.lua
 
 ######################################
 
@@ -52,9 +52,7 @@
 tags:
 	exuberant-ctags -R . $(TOPDIR)
 
-mod_xinerama.o: exports.h
-
 ################ ls_xinerama utility ###############
 
 ls_xinerama: ls_xinerama.c
-	$(CC) $(CFLAGS) ls_xinerama.c -o ls_xinerama $(LDFLAGS) $(LIBS)
+	$(CC) ls_xinerama.c -o ls_xinerama -Wl,--as-needed -lX11 -lXinerama
