=== test/Makefile ===
.PHONY: test

test:
	$(MAKE) -C integration test
