=== debian/changelog ===
notion (3+2014010901-1) unstable; urgency=medium

  * New upstream version
    - font fallback
    - new FSF address
    - manpage fix

 -- Dima Kogan <dima@secretsauce.net>  Wed, 16 Apr 2014 22:09:55 -0700

notion (3+2014010505-1) unstable; urgency=medium

  * New upstream version (closes: #725388)
    - many improvements to multihead support
    - improved keybindings
    - better keyboard focus hints
    - notionflux remote control
  * lua5.2 support

 -- Arnout Engelen <arnouten@bzzt.net>  Sat, 04 Jan 2014 21:08:30 +0100

notion (3+2012042300-2) unstable; urgency=low

  * remove etc/X11/notion/cfg_debian_ext.lua on purge (closes: #679764)

 -- Arnout Engelen <arnouten@bzzt.net>  Sun, 01 Jul 2012 16:06:02 +0200
