## notion 3+2015061300

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 SUBDIRS = $(LIBS_SUBDIRS) $(INSTALL_SUBDIRS)
 
-DOCS = README LICENSE ChangeLog RELNOTES
+DOCS = README LICENSE CHANGELOG
 
 TO_REALCLEAN = build/ac/system-ac.mk
