=== libextl/Makefile ===
--- 
+++ 
@@ -9,10 +9,7 @@
 endif
 
 # System-specific configuration
-include $(TOPDIR)/system.mk
-
-# Internal library CFLAGS/INCLUDES
-include $(TOPDIR)/build/libs.mk
+include $(TOPDIR)/build/system-inc.mk
 
 ######################################
 
@@ -26,7 +23,7 @@
 
 TARGETS=libextl.a libextl-mkexports
 
-.PHONY : libextl-mkexports
+.PHONY : libextl-mkexports test
 
 ######################################
 
@@ -34,12 +31,26 @@
 
 ######################################
 
+ifdef LUA
+
 libextl.a: $(OBJS)
 	$(AR) $(ARFLAGS) $@ $+
 	$(RANLIB) $@
 
 libextl-mkexports: libextl-mkexports.in
 	sed "1s:LUA50:$(LUA):" $< > $@
+
+else
+
+libextl.a: libextl-mkexports.in
+	echo "Error: LUA interpreter and libraries not found (or inconsistent versions)"
+	return -1
+
+libextl-mkexports: libextl-mkexports.in
+	echo "Error: LUA interpreter and libraries not found (or inconsistent versions)"
+	return -1
+
+endif 
 
 install:
 	$(INSTALLDIR) $(DESTDIR)$(BINDIR)
@@ -50,3 +61,11 @@
 	for h in $(HEADERS); do \
 		$(INSTALL) -m $(DATA_MODE) $$h $(DESTDIR)$(INCDIR); \
 	done
+
+test:
+	rm test/extltest
+	gcc -g -o test/extltest test/extltest.c `pkg-config --libs lua5.1` `pkg-config --cflags lua5.1` -ltu
+	test/extltest
+	rm test/extltest
+	gcc -g -o test/extltest test/extltest.c `pkg-config --libs lua5.2` `pkg-config --cflags lua5.2` -ltu
+	test/extltest
