=== mod_xinerama/Makefile ===
--- 
+++ 
@@ -52,6 +52,8 @@
 tags:
 	exuberant-ctags -R . $(TOPDIR)
 
+mod_xinerama.o: exports.h
+
 ################ ls_xinerama utility ###############
 
 ls_xinerama: ls_xinerama.c
