=== mod_xrandr/Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 MODULE=mod_xrandr
 MODULE_STUB=mod_xrandr.lua
 ETC=cfg_xrandr.lua
+
 
 ######################################
 
@@ -51,3 +52,5 @@
 .PHONY: tags
 tags:
 	exuberant-ctags -R . $(TOPDIR)
+
+mod_xrandr.o: exports.h
