=== debian/changelog ===
notion (3+2015061300-2) unstable; urgency=medium

  * Fixed dh_install rules to work properly with arch:all-only and
    arch:any-only builds. Thanks to Santiago Vila for the patch.
    (Closes: #830577, #830848)

 -- Dima Kogan <dkogan@debian.org>  Thu, 14 Jul 2016 23:06:27 -0700

notion (3+2015061300-1) unstable; urgency=medium

  * New upstream version
    - Bugfixes
      - seldomly triggered crash in memory pool
      - save the session atomically
      - various fixes to contributed scripts, notably more lua5.2 support

    - Improvements
      - 'windows' key is now the default META key
      - various code cleanups
      - various build/packaging improvements
      - improved kludges/focus behavior (IntelliJ IDEA, xeyes)
      - expose 'warp_pointer' to lua
      - lock using i3lock when available

    - Features
      - Workspace indicator
      - Delayed population of the focuslist

  * Simplified package build and moved to debhelper 9

 -- Dima Kogan <dima@secretsauce.net>  Tue, 24 Nov 2015 19:55:15 -0800
