=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: non-free/x11
 Priority: extra
 Maintainer: Arnout Engelen <arnouten@bzzt.net>
-Uploaders: Dima Kogan <dima@secretsauce.net>
+Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 7), pkg-config, lua5.2, liblua5.2-dev, libx11-dev, libxext-dev, libsm-dev, libxinerama-dev, libxrandr-dev
+Build-Depends: debhelper (>= 9), pkg-config, lua5.2, liblua5.2-dev, libx11-dev, libxext-dev, libsm-dev, libxinerama-dev, libxrandr-dev
 XS-Autobuild: yes
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/notion.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/notion.git
@@ -14,8 +14,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, xterm | x-terminal-emulator, x11-utils
 Recommends: xfonts-75dpi | xfonts-75dpi-transcoded | xfonts-100dpi | xfonts-100dpi-transcoded, libxrandr2, libxinerama1
-Suggests: menu (>= 2.1.9), docker, notion-doc, notion-scripts
-Provides: x-window-manager, notion-api-${Notion:ApiVersion}
+Suggests: menu (>= 2.1.9), docker
+Provides: x-window-manager, notion-api-${source:Upstream-Version}
 Replaces: particleman
 Description: tiling tabbed window manager designed for keyboard users
  Notion divides the screen into tiles and places windows in these tiles
